View Issue Details

IDProjectCategoryView StatusLast Update
0004121Multi Theft Auto : San AndreasGUI / Menus / Consolepublic2009-06-18 23:14
ReporterJohnlineAssigned Toccw 
PrioritynoneSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0 
Summary0004121: Improve gui icons/cursors/skins for main menu and console
Description

no more ghosting of the mouse, no more pixel dirt on window edges, and revised radio and checkbox mouseovers!

i couldnt fix the resize window cursor arrows positioning, that seems to be on the coding side, they all seem to be offset too low and to the right, (3px up and 3px right).
also the checkbox and radio button logic is flawed; there needs to be an extra 2 skins for them. one for mouseover of enabled checkboxes and one for enabled radio buttons.

Additional Information

i accept paypal

TagsNo tags attached.

Activities

Johnline

2009-05-29 15:01

viewer   ~~0009431

Last edited: 2009-05-29 17:53

checkbox and radio button logic is still wrong, needs fixing ^
(hover over an unchecked box/radio and it becomes indent-checked)

Johnline

2009-06-14 15:28

viewer   ~~0009608

Last edited: 2009-06-14 15:29

i modified the cgui.png to have the missing 'enabled checkbox' and 'enabled radio' mouseovers. i dont know how to edit the xml file to introduce their posititions on the image or the new logic to make them work.
please can someone work on the xml to get these working for mouseover on enabled checkboxes and radio buttons.

here is the file:
http://johnline.bastage.net/data/CGUI.png

mabako

2009-06-15 18:07

updater   ~~0009619

Attached the two XML files to get Johnline's new buttons working

Johnline

2009-06-15 18:08

viewer   ~~0009620

thanks to mabako for the xml code, this is now fixed and can be committed

ccw

2009-06-17 07:32

administrator   ~~0009640

Applied in r1105

Issue History

Date Modified Username Field Change